/**
*Description - Use PCML to call iSeries ILE program
*/
import java.math.*;
import java.util.*;

import javax.servlet.http.*;
import org.apache.struts.action.*;
import com.ibm.iseries.webint.*;

public class DetailPageAction extends ISeriesAction {
	public DetailPageAction() {
		super();
		setProgramName("DetailPage");
		setPcmlName("SV000501");
		setInvalidateSession(false);
		setOutputPage("DetailPageResults");
	}

	public ActionForward perform(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response) {
		try {
			preprocessing(request, response, form);

			HttpSession session = request.getSession();

			DetailPageInputForm inputForm = (DetailPageInputForm) form;
			String[] strPRODNO = (String[]) inputForm.getValues("PRODNO");
			String[] strSubmit = (String[]) inputForm.getValues("Submit");
			String[] strReset = (String[]) inputForm.getValues("Reset");
			ProgramRecord_DetailPage dataBean = new ProgramRecord_DetailPage();
			dataBean.setPRODNO(new BigDecimal("0"));
			if ((strPRODNO != null)
				&& (strPRODNO.length > 0)
				&& (strPRODNO[0] != null)
				&& (strPRODNO[0].length() > 0)) {
				dataBean.setPRODNO(
					new BigDecimal(stripNonNumeric(strPRODNO[0].trim(), 5, 0)));
			}
			processDebugging(request, form);
			DetailPageOutputForm resultsForm = new DetailPageOutputForm();
			invokeHostProgram(request, dataBean, form, resultsForm);

			String[] strOut = null;
			strOut = new String[1];
			strOut[0] = dataBean.getPRODNO().toString();
			resultsForm.setValues("PRODNO", strOut);
			strOut = new String[1];
			strOut[0] = dataBean.getPRODNAME().toString();
			resultsForm.setValues("PRODNAME", strOut);
			strOut = new String[1];
			strOut[0] = dataBean.getCOLOR().toString();
			resultsForm.setValues("COLOR", strOut);
			strOut = new String[1];
			strOut[0] = dataBean.getRPRICE().toString();
			resultsForm.setValues("RPRICE", strOut);
			strOut = new String[1];
			strOut[0] = dataBean.getIMAGE().toString();
			resultsForm.setValues("IMAGE", strOut);
			strOut = new String[1];
			strOut[0] = dataBean.getSTYLE().toString();
			resultsForm.setValues("STYLE", strOut);
			strOut = new String[1];
			strOut[0] = dataBean.getSQTY().toString();
			resultsForm.setValues("SQTY", strOut);
			strOut = new String[1];
			strOut[0] = dataBean.getMQTY().toString();
			resultsForm.setValues("MQTY", strOut);
			strOut = new String[1];
			strOut[0] = dataBean.getLQTY().toString();
			resultsForm.setValues("LQTY", strOut);
			strOut = new String[1];
			strOut[0] = dataBean.getXLQTY().toString();
			resultsForm.setValues("XLQTY", strOut);
			strOut = new String[1];
			strOut[0] = dataBean.getXXLQTY().toString();
			resultsForm.setValues("XXLQTY", strOut);
			postprocessing(request, form, resultsForm);
			return getForward(mapping, session);
		} catch (Exception ex) {
			handleError(request, response, ex);
			return mapping.findForward("wdt_error");
		}
	}

}